import { TCallback } from './ifaces';
/**
 * Resolve bins.
 */
export declare const resolveBins: TCallback;
/**
 * Print runtime context digest.
 */
export declare const printRuntimeDigest: TCallback;
/**
 * Prepare temp assets.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const createTempAssets: TCallback;
/**
 * Provide symlinks to node_modules and workspaces
 * @param {TContext} cxt
 * @return {void}
 */
export declare const createSymlinks: TCallback;
/**
 * Convert yarn.lock to package-lock.json for further audit.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const yarnLockToPkgLock: TCallback;
/**
 * Apply npm audit fix.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const npmAuditFix: TCallback;
/**
 * Generate yarn.lock by package-lock.json data.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const yarnImport: TCallback;
export declare const syncLockfile: TCallback;
/**
 * Apply yarn install to fetch packages after yarn.lock update.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const yarnInstall: TCallback;
/**
 * Clean up temporaries.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const clear: TCallback;
/**
 * Exit on error.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const exit: TCallback;
export declare const patchLockfile: TCallback;
/**
 * Check that everything is fine with pkg dir.
 * @param {TContext} cxt
 * @return {void}
 */
export declare const verify: TCallback;
